From 3c67a61300ac6d490cc978e1b00bb51acfdaa63e Mon Sep 17 00:00:00 2001
From: andry-dev <peketribal2@gmail.com>
Date: Tue, 23 Jul 2019 15:34:56 +0200
Subject: [PATCH] freetype: enable subpixel rendering

---
 .../freetype/patches/enable-subpixel-rendering.patch  | 11 +++++++++++
 srcpkgs/freetype/template                             |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/freetype/patches/enable-subpixel-rendering.patch

diff --git a/srcpkgs/freetype/patches/enable-subpixel-rendering.patch b/srcpkgs/freetype/patches/enable-subpixel-rendering.patch
new file mode 100644
index 00000000000..5cba955ca2c
--- /dev/null
+++ b/srcpkgs/freetype/patches/enable-subpixel-rendering.patch
@@ -0,0 +1,11 @@
+--- include/freetype/config/ftoption.h
++++ include/freetype/config/ftoption.h
+@@ -126,7 +126,7 @@
+    * macro is not defined, FreeType offers alternative LCD rendering
+    * technology that produces excellent output without LCD filtering.
+    */
+-/* #define FT_CONFIG_OPTION_SUBPIXEL_RENDERING */
++#define FT_CONFIG_OPTION_SUBPIXEL_RENDERING
+
+
+   /**************************************************************************
diff --git a/srcpkgs/freetype/template b/srcpkgs/freetype/template
index 9b08f374592..3c1c176d106 100644
--- a/srcpkgs/freetype/template
+++ b/srcpkgs/freetype/template
@@ -1,7 +1,7 @@
 # Template file for 'freetype'
 pkgname=freetype
 version=2.10.1
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--enable-freetype-config"
 hostmakedepends="pkg-config"
